doc::unibi_int_from_var(3)

NAME
unibi_num_from_var, unibi_str_from_var, unibi_var_from_num, unibi_var_from_str - create and inspect unibi_var_t values

SYNOPSIS
 #include <unibilium.h>

 int         unibi_num_from_var(unibi_var_t v);
 const char *unibi_str_from_var(unibi_var_t v);

 unibi_var_t unibi_var_from_num(int i);
 unibi_var_t unibi_var_from_str(char *s);

DESCRIPTION
"unibi_var_from_num" and "unibi_var_from_str" wrap the given int or string in a "unibi_var_t" object for use in unibi_format(3) and unibi_run(3).

unibi_num_from_var(v) returns the number stored in v, which must have been constructed by "unibi_var_from_num". unibi_str_from_var(v) returns the string stored in v, which must have been constructed by "unibi_var_from_str".

It is an error to pass a wrapped string to "unibi_num_from_var" or a wrapped number to "unibi_str_from_var".

SEE ALSO
unibilium.h(3)